Package org.eclipse.m2m.atl.adt.ui.properties

# Class AtlPropertySourceProvider

java.lang.Object
org.eclipse.m2m.atl.adt.ui.properties.AtlPropertySourceProvider

All Implemented Interfaces:
  `org.eclipse.ui.views.properties.IPropertySourceProvider`

public class AtlPropertySourceProvider extends Object implements org.eclipse.ui.views.properties.IPropertySourceProvider

## Constructor Summary

Constructors
Constructor
Description
`AtlPropertySourceProvider()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.ui.views.properties.IPropertySource`
`getPropertySource(Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlPropertySourceProvider

public AtlPropertySourceProvider()

## Method Details

### getPropertySource

public org.eclipse.ui.views.properties.IPropertySource getPropertySource(Object object)

Specified by:
  `getPropertySource` in interface `org.eclipse.ui.views.properties.IPropertySourceProvider`
See Also:
  - `IPropertySourceProvider.getPropertySource(java.lang.Object)`